CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2017-17805

The Salsa20 encryption algorithm in the Linux kernel before 4.14.8 does not correctly handle zero-length inputs, allowing a local attacker able to use the AF_ALG-based skcipher interface (CONFIG_CRYPTO_USER_API_SKCIPHER) to cause a denial of service (uninitialized-memory free and kernel crash) or have unspecified other impact by executing a crafted sequence of system calls that use the blkcipher_walk API. Both the generic implementation (crypto/salsa20_generic.c) and x86 implementation (arch/x86/crypto/salsa20_glue.c) of Salsa20 were vulnerable.
Publish Date : 2017-12-20 Last Update Date : 2018-10-31
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.2
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID 20

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2018:3083: kernel security, bug fix, and enhancement update (Important) oval:com.redhat.rhsa:def:20183083 unix
RHSA-2018:3096: kernel-rt security, bug fix, and enhancement update (Important) oval:com.redhat.rhsa:def:20183096 unix
RHSA-2019:2473: kernel security and bug fix update (Important) oval:com.redhat.rhsa:def:20192473 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2017-17805

# Product Type Vendor Product Version Update Edition Language
1 OS Debian Debian Linux 9.0 * * * Version Details Vulnerabilities
2 OS Linux Linux Kernel * * * * Version Details Vulnerabilities
3 OS Opensuse Leap 42.2 * * * Version Details Vulnerabilities
4 OS Opensuse Project Leap 42.3 * * * Version Details Vulnerabilities
5 OS Suse Linux Enterprise Desktop 12 SP2 * * Version Details Vulnerabilities
6 OS Suse Linux Enterprise Desktop 12 SP3 * * Version Details Vulnerabilities
7 OS Suse Linux Enterprise Server 11 Extra * * Version Details Vulnerabilities
8 OS Suse Linux Enterprise Server 11 SP4 * * Version Details Vulnerabilities
9 OS Suse Linux Enterprise Server 12 SP2 * * Version Details Vulnerabilities
10 OS Suse Linux Enterprise Server 12 SP3 * * Version Details Vulnerabilities
11 OS Suse Linux Enterprise Server For Raspberry Pi 12 SP2 * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Debian Debian Linux 1
Linux Linux Kernel 1
Opensuse Leap 1
Opensuse Project Leap 1
Suse Linux Enterprise Desktop 2
Suse Linux Enterprise Server 4
Suse Linux Enterprise Server For Raspberry Pi 1

- References For CVE-2017-17805

https://access.redhat.com/errata/RHSA-2018:3096
REDHAT RHSA-2018:3096
https://usn.ubuntu.com/3620-2/
UBUNTU USN-3620-2
https://access.redhat.com/errata/RHSA-2018:3083
REDHAT RHSA-2018:3083
https://usn.ubuntu.com/3632-1/
UBUNTU USN-3632-1
https://usn.ubuntu.com/3619-2/
UBUNTU USN-3619-2
https://usn.ubuntu.com/3617-3/
UBUNTU USN-3617-3
https://usn.ubuntu.com/3619-1/
UBUNTU USN-3619-1
https://usn.ubuntu.com/3620-1/
UBUNTU USN-3620-1
https://usn.ubuntu.com/3617-1/
UBUNTU USN-3617-1
https://www.debian.org/security/2018/dsa-4082
DEBIAN DSA-4082
https://lists.debian.org/debian-lts-announce/2018/01/msg00004.html
MLIST [debian-lts-announce] 20180107 [SECURITY] [DLA 1232-1] linux security update
https://access.redhat.com/errata/RHSA-2019:2473
REDHAT RHSA-2019:2473
http://lists.opensuse.org/opensuse-security-announce/2018-01/msg00007.html
SUSE SUSE-SU-2018:0011
https://usn.ubuntu.com/3617-2/
UBUNTU USN-3617-2
http://lists.opensuse.org/opensuse-security-announce/2018-01/msg00006.html
SUSE SUSE-SU-2018:0010
http://lists.opensuse.org/opensuse-security-announce/2018-01/msg00014.html
SUSE openSUSE-SU-2018:0022
http://lists.opensuse.org/opensuse-security-announce/2018-01/msg00008.html
SUSE SUSE-SU-2018:0012
http://lists.opensuse.org/opensuse-security-announce/2018-01/msg00016.html
SUSE openSUSE-SU-2018:0023
https://access.redhat.com/errata/RHSA-2018:2948
REDHAT RHSA-2018:2948
http://www.securityfocus.com/bid/102291
BID 102291 Linux kernel Multiple CVE-2017-17805 Local Denial of Service Vulnerabilities Release Date:2018-03-21
https://www.debian.org/security/2017/dsa-4073
DEBIAN DSA-4073
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=ecaaab5649781c5a0effdaf298a925063020500e CONFIRM
https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.8 CONFIRM
https://github.com/torvalds/linux/commit/ecaaab5649781c5a0effdaf298a925063020500e CONFIRM

- Metasploit Modules Related To CVE-2017-17805

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.